librevenge::RVNGPropertyListVector Class Reference documentation

Classes | Public Member Functions | Private Attributes | Friends | List of all members
librevenge::RVNGPropertyListVector Class Reference

`#include <RVNGPropertyListVector.h>`

Inheritance diagram for librevenge::RVNGPropertyListVector:

## Classes
class | Iter

## Public Member Functions
| RVNGPropertyListVector (const RVNGPropertyListVector &)
| RVNGPropertyListVector ()
virtual | ~RVNGPropertyListVector ()
int | getInt () const
double | getDouble () const
RVNGUnit | getUnit () const
| returns the property unit when possible.
RVNGString | getStr () const
RVNGProperty * | clone () const
void | append (const RVNGPropertyList &elem)
void | append (const RVNGPropertyListVector &vec)
unsigned long | count () const
bool | empty () const
void | clear ()
const RVNGPropertyList & | operator[] (unsigned long index) const
RVNGPropertyListVector & | operator= (const RVNGPropertyListVector &vect)
RVNGString | getPropString () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()
virtual int | getInt () const =0
virtual double | getDouble () const =0
virtual RVNGUnit | getUnit () const =0
| returns the property unit when possible.
virtual RVNGString | getStr () const =0
virtual RVNGProperty * | clone () const =0

## Private Attributes
RVNGPropertyListVectorImpl * | m_impl

## Friends
class | RVNGPropertyListVector::Iter

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListVector() [1/2]

librevenge::RVNGPropertyListVector::RVNGPropertyListVector | ( | const RVNGPropertyListVector & | vect | ) |

## ◆ RVNGPropertyListVector() [2/2]

librevenge::RVNGPropertyListVector::RVNGPropertyListVector | ( |  | ) |

Referenced by clone().

## ◆ ~RVNGPropertyListVector()

librevenge::RVNGPropertyListVector::~RVNGPropertyListVector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ append() [1/2]

void librevenge::RVNGPropertyListVector::append | ( | const RVNGPropertyList & | elem | ) |

## ◆ append() [2/2]

void librevenge::RVNGPropertyListVector::append | ( | const RVNGPropertyListVector & | vec | ) |

## ◆ clear()

void librevenge::RVNGPropertyListVector::clear | ( |  | ) |

## ◆ clone()

RVNGProperty * librevenge::RVNGPropertyListVector::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGPropertyList::insert().

## ◆ count()

unsigned long librevenge::RVNGPropertyListVector::count | ( |  | ) | const

Referenced by librevenge::RVNGSVGPresentationGenerator::drawPath(), librevenge::RVNGSVGDrawingGenerator::drawPath(), librevenge::RVNGSVGPresentationGenerator::drawPolygon(), librevenge::RVNGSVGDrawingGenerator::drawPolygon(), librevenge::RVNGSVGPresentationGenerator::drawPolyline(), librevenge::RVNGSVGDrawingGenerator::drawPolyline(), librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething(), librevenge::RVNGSVGPresentationGeneratorImpl::drawPolySomething(), librevenge::RVNGCSVSpreadsheetGenerator::openSheetCell(), librevenge::RVNGHTMLTextTableStyleManager::openTable(), librevenge::RVNGSVGPresentationGenerator::setStyle(), librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle(), librevenge::DrawingSVG::Table::Table(), and librevenge::PresentationSVG::Table::Table().

## ◆ empty()

bool librevenge::RVNGPropertyListVector::empty | ( |  | ) | const

## ◆ getDouble()

double librevenge::RVNGPropertyListVector::getDouble | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().

## ◆ getInt()

int librevenge::RVNGPropertyListVector::getInt | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

## ◆ getPropString()

RVNGString librevenge::RVNGPropertyListVector::getPropString | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString(), and getPropString().

## ◆ getStr()

RVNGString librevenge::RVNGPropertyListVector::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGSVGPresentationGenerator::setStyle().

## ◆ getUnit()

RVNGUnit librevenge::RVNGPropertyListVector::getUnit | ( |  | ) | const
| virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

## ◆ operator=()

RVNGPropertyListVector & librevenge::RVNGPropertyListVector::operator= | ( | const RVNGPropertyListVector & | vect | ) |

## ◆ operator[]()

const RVNGPropertyList & librevenge::RVNGPropertyListVector::operator[] | ( | unsigned long | index | ) | const

## Friends And Related Function Documentation

## ◆ RVNGPropertyListVector::Iter

friend class RVNGPropertyListVector::Iter
| friend

## Member Data Documentation

## ◆ m_impl

RVNGPropertyListVectorImpl* librevenge::RVNGPropertyListVector::m_impl
| private

Referenced by append(), clear(), count(), empty(), operator=(), operator[](), and ~RVNGPropertyListVector().

The documentation for this class was generated from the following files:

- RVNGPropertyListVector.h
- RVNGPropertyListVector.cpp